@charset "UTF-8";

/* common css
======================================================================================== */

/* btn */
/* ============================================= */
.mc-designbtn {
  position: relative;
  display: box;
  display: flexbox;
  display: flex;
  flex-flow: column;
  flex-flow: column;
  align-items: center;
  justify-content: center;
  width: 100%;
  max-width: 470px;
  padding: 25px 16px;
  margin: 0 auto;
  font-size: 18px;
  font-weight: bold;
  line-height: 1.3;
  color: #E6C978; /* 下層ボタン用 */
  background-color: #1B0B07;
  border: 2px solid #1B0B07;
  border-radius: 6px;
  transition: 0.175s;
  transition: 0.175s;
}

.mc-designbtn > span {
  max-width: 100%;
  padding: 0 8.4852px;
}

.mc-designbtn::after {
  position: absolute;
  top: 50%;
  right: 18px;
  display: block;
  width: 12px;
  height: 12px;
  content: "";
  border-top: 2px solid #E6C978;
  border-right: 2px solid #E6C978;
  transform: translateY(-50%) rotate(45deg);
  transform: translateY(-50%) rotate(45deg);
}

.mc-designbtn[data-color~="main"] {
  color: #fff;
  background-color: #005099;
  border-color: #005099;
}
.mc-designbtn[data-color~="main"]::after {
  border-color: #fff;
}

.mc-designbtn.-wide{
  max-width: 668px;
  font-size: 30px;
}

.mc-designbtn.-small {
  padding: 14px;
  font-size: 16px;
}

.mc-designbtn.-small::after {
  right: 16px;
}

.mc-designbtn.-noArrow > span {
  padding: 0;
}

.mc-designbtn.-noArrow::after {
  display: none;
}

@media screen and (max-width: 768px) {
  .mc-designbtn {
    padding: 14px;
    font-size: 16px;
  }
  .mc-designbtn.-wide{
    font-size: 20px;
  }
}
